- [HTTP request](https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/getPayeeProxyDisplayInfo#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/getPayeeProxyDisplayInfo#body.request_body)
  - [JSON representation](https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/getPayeeProxyDisplayInfo#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/getPayeeProxyDisplayInfo#body.response_body)
- [GetPayeeProxyDisplayInfoResponse](https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/getPayeeProxyDisplayInfo#GetPayeeProxyDisplayInfoResponse)
  - [JSON representation](https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/getPayeeProxyDisplayInfo#GetPayeeProxyDisplayInfoResponse.SCHEMA_REPRESENTATION)
- [GetPayeeProxyDisplayInfoResult](https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/getPayeeProxyDisplayInfo#GetPayeeProxyDisplayInfoResult)
  - [JSON representation](https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/getPayeeProxyDisplayInfo#GetPayeeProxyDisplayInfoResult.SCHEMA_REPRESENTATION)
- [PayeeProxyDisplayInfoSuccess](https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/getPayeeProxyDisplayInfo#PayeeProxyDisplayInfoSuccess)
  - [JSON representation](https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/getPayeeProxyDisplayInfo#PayeeProxyDisplayInfoSuccess.SCHEMA_REPRESENTATION)
- [PayeeProxyDisplayInfo](https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/getPayeeProxyDisplayInfo#PayeeProxyDisplayInfo)
  - [JSON representation](https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/getPayeeProxyDisplayInfo#PayeeProxyDisplayInfo.SCHEMA_REPRESENTATION)
- [PayeeProxyDisplayInfoFailure](https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/getPayeeProxyDisplayInfo#PayeeProxyDisplayInfoFailure)
  - [JSON representation](https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/getPayeeProxyDisplayInfo#PayeeProxyDisplayInfoFailure.SCHEMA_REPRESENTATION)
- [PayeeProxyDisplayInfoFailureReason](https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/getPayeeProxyDisplayInfo#PayeeProxyDisplayInfoFailureReason)

Returns the display data that has been registered for the specified proxy key (e.g. display name to be shown before payment)

An example request looks like:


    {
      "requestHeader": {
        "protocolVersion": {
          "major": 2
        },
        "requestId": "bWVyY2hhbnQgdHJhbnNhY3Rpb24gaWQ",
        "requestTimestamp": {
          "epochMillis": "1502220196077"
        },
        "paymentIntegratorAccountId": "InvisiCashUSA_USD"
      },
      "proxyKey": {
        "phoneNumber": "+001234567890"
      }
    }

An example response looks like:


    {
      "responseHeader": {
        "responseTimestamp": {
          "epochMillis": "1481900013178"
        }
      },
      "displayInfoResult": {
        "success": {
          "displayInfo": {
            "displayName": "Sam Payee"
          }
        }
      }
    }

### HTTP request

`POST https://www.integratorhost.example.com/integrator-base-path/v2/getPayeeProxyDisplayInfo`

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requestHeader": { object (`https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/RequestHeader`) }, "proxyKey": { object (`https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/PayeeProxyKey`) }, "associationId": string } ``` |

| Fields ||
|---|---|
| `requestHeader` | ``object (`https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/RequestHeader`)`` **REQUIRED**: Common header for all requests. |
| `proxyKey` | ``object (`https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/PayeeProxyKey`)`` **REQUIRED**: The proxy key for which the display information is being requested. |
| `associationId` | `string` **OPTIONAL**: The ID that represents the association between a customer's Google Account and a customer's account with the vendor. Only present if the request is initiated by a user in-session. |

### Response body

This method supports multiple return types. For additional information about what 4XX or 5XX HTTP status code to return with an `ErrorResponse`, consult the `ErrorResponse` object and [HTTP status codes documentation](https://developers.google.com/pay/banking-fop-v2/guides/connectivity/protocol-standards#http_status_codes).

| Possible response messages ||
|---|---|
| HTTP 200 Status | ``object (`https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/getPayeeProxyDisplayInfo#GetPayeeProxyDisplayInfoResponse`)`` |
| HTTP 4XX / 5XX Status | ``object (`https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/ErrorResponse`)`` |
| End of mutually exclusive fields. ||

## GetPayeeProxyDisplayInfoResponse

Response object for the banking-fop-v2.getPayeeProxyDisplayInfo method

| JSON representation |
|---|
| ``` { "responseHeader": { object (`https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/ResponseHeader`) }, "displayInfoResult": { object (`https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/getPayeeProxyDisplayInfo#GetPayeeProxyDisplayInfoResult`) } } ``` |

| Fields ||
|---|---|
| `responseHeader` | ``object (`https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/ResponseHeader`)`` **REQUIRED**: Common header for all responses. |
| `displayInfoResult` | ``object (`https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/getPayeeProxyDisplayInfo#GetPayeeProxyDisplayInfoResult`)`` **REQUIRED**: Success/failure result of GetPayeeProxyDisplayInfoResponse. |

## GetPayeeProxyDisplayInfoResult

The result codes for the banking-fop-v2.getPayeeProxyDisplayInfo call.

| JSON representation |
|---|
| ``` { // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "success": { object (`https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/getPayeeProxyDisplayInfo#PayeeProxyDisplayInfoSuccess`) }, "failure": { object (`https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/getPayeeProxyDisplayInfo#PayeeProxyDisplayInfoFailure`) } // End of mutually exclusive fields. } ``` |

| Fields ||
|---|---|
| **REQUIRED**: The result of the GetPayeeProxyDisplayInfo call. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `success` | ``object (`https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/getPayeeProxyDisplayInfo#PayeeProxyDisplayInfoSuccess`)`` The display info was found for the PayeeProxyKey. |
| `failure` | ``object (`https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/getPayeeProxyDisplayInfo#PayeeProxyDisplayInfoFailure`)`` The display info lookup failed. |
| End of mutually exclusive fields. ||

## PayeeProxyDisplayInfoSuccess

Message that contains the details of a successful display information query.

| JSON representation |
|---|
| ``` { "displayInfo": { object (`https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/getPayeeProxyDisplayInfo#PayeeProxyDisplayInfo`) } } ``` |

| Fields ||
|---|---|
| `displayInfo` | ``object (`https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/getPayeeProxyDisplayInfo#PayeeProxyDisplayInfo`)`` **REQUIRED**: Display information for the Proxy Key. |

## PayeeProxyDisplayInfo

Data that is meant for display and has been registered for a given PayeeProxyKey.

| JSON representation |
|---|
| ``` { // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "displayName": string // End of mutually exclusive fields. } ``` |

| Fields ||
|---|---|
| **REQUIRED**: Display information for the Proxy Key. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `displayName` | `string` Name that has been registered for display with the PayeeProxy. |
| End of mutually exclusive fields. ||

## PayeeProxyDisplayInfoFailure

Message that contains the details of a failed display information query.

| JSON representation |
|---|
| ``` { "failureReason": enum (`https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/getPayeeProxyDisplayInfo#PayeeProxyDisplayInfoFailureReason`) } ``` |

| Fields ||
|---|---|
| `failureReason` | ``enum (`https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/getPayeeProxyDisplayInfo#PayeeProxyDisplayInfoFailureReason`)`` **REQUIRED**: The reason for the failure. |

## PayeeProxyDisplayInfoFailureReason

Reason for a failure to lookup display information.

| Enums ||
|---|---|
| `PAYEE_PROXY_DISPLAY_INFO_FAILURE_REASON_UNSPECIFIED` | Do not ever set this default value! |
| `PROXY_KEY_NOT_REGISTERED` | The specified proxy key was not registered and thus no display information could be returned. |